Loading...
Searching...
No Matches
Dune::MatrixMarketImpl::mm_numeric_type< T > Struct Template Reference

Helper metaprogram to get the matrix market string representation of the numeric type. More...

`#include <dune/istl/matrixmarket.hh>`

Inheritance diagram for Dune::MatrixMarketImpl::mm_numeric_type< T >:

## Public Types

enum | { is_numeric =false }

## Static Public Member Functions

static std::string | str ()

## Detailed Description

template<class T>
struct Dune::MatrixMarketImpl::mm_numeric_type< T >

Helper metaprogram to get the matrix market string representation of the numeric type.

Member function mm_numeric_type::str() returns the string representation of the type.

## Member Enumeration Documentation

## anonymous enum

template<class T>

anonymous enum

Enumerator
is_numeric | Whether T is a supported numeric type.

## Member Function Documentation

## str()

template<class T>

std::string Dune::MatrixMarketImpl::mm_numeric_type< T >::str | ( |  | ) |

inline static

The documentation for this struct was generated from the following file:

- matrixmarket.hh